import { arc } from 'd3';

export const Mouth = ({mouthRadius, mouthWidth, mouthStartPercent, mouthOffsetY}) => {
  const mouthStart = (Math.PI * 2) * (mouthStartPercent / 100);
	const mouthEnd = (Math.PI * 2) - mouthStart;

	const mouthArc = arc()
		.innerRadius(mouthRadius)
		.outerRadius(mouthRadius + mouthWidth)
		.startAngle(mouthStart)
		.endAngle(mouthEnd);
  
  return <path d={mouthArc()} transform={`translate(0,${mouthOffsetY})`} />;
}